import { jsx as ___EmotionJSX } from "@emotion/core";
import React from 'react';
import { shallow } from 'enzyme';
import renderer from 'react-test-renderer';
import AcneGlyph from '../../svgs/glyphs/acne-glyph.svg';
import OptionButton from './index';
describe('<OptionButton />', function () {
  describe('UI snapshots', function () {
    it('checkbox selected, without custom icon', function () {
      var tree = renderer.create(___EmotionJSX(OptionButton, {
        selected: true,
        onClick: function onClick() {},
        text: "checkbox text",
        optionType: "checkbox",
        type: "primary"
      })).toJSON();
      expect(tree).toMatchSnapshot();
    });
    it('radio unselected, with icon node prop', function () {
      var tree = renderer.create(___EmotionJSX(OptionButton, {
        onClick: function onClick() {},
        text: "radio text",
        optionType: "radio",
        icon: ___EmotionJSX(AcneGlyph, null),
        type: "secondary"
      })).toJSON();
      expect(tree).toMatchSnapshot();
    });
  });
  describe('onClick callback', function () {
    it('is invoked when clicked', function () {
      var spy = jest.fn();
      var wrapper = shallow(___EmotionJSX(OptionButton, {
        onClick: spy,
        text: "checkbox text",
        optionType: "checkbox"
      }));
      wrapper.simulate('click');
      expect(spy).toHaveBeenCalled();
    });
  });
});